org.apache.ode.bpel.dao

## Interface CorrelationSetDAO

- All Known Implementing Classes:
    CorrelationSetDAOImpl

      public interface CorrelationSetDAO

  Data access object representing a BPEL correlation set. Correlation sets are late-bound constants that "belong" either to the process or to a scope.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Long` | `getCorrelationSetId()`
    `ProcessInstanceDAO` | `getInstance()`
    `java.lang.String` | `getName()` Get the name of the correlation set.
    `ProcessDAO` | `getProcess()`
    `java.util.Map<javax.xml.namespace.QName,java.lang.String>` | `getProperties()` Get correlation set properties with their values as a Map.
    `ScopeDAO` | `getScope()` Get the scope instance to which this correlation set belongs.
    `CorrelationKey` | `getValue()` Get the value of the correlation set.
    `void` | `setValue(javax.xml.namespace.QName[] names, CorrelationKey values)` Sets the value of the correlation set.

- - ### Method Detail

    - #### getCorrelationSetId

          java.lang.Long getCorrelationSetId()

    - #### getName

          java.lang.String getName()

      Get the name of the correlation set.
      Returns:
        name of the correlation set

    - #### getScope

          ScopeDAO getScope()

      Get the scope instance to which this correlation set belongs.
      Returns:
        owning scope instance
      See Also:
        `ScopeDAO}`

    - #### setValue

          void setValue(javax.xml.namespace.QName[] names,
                        CorrelationKey values)

      Sets the value of the correlation set.
      Parameters:
        `names` - qualified names of the correlation set properties
        `values` -

    - #### getValue

          CorrelationKey getValue()

      Get the value of the correlation set.
      Returns:
        valu of correlation set

    - #### getProperties

          java.util.Map<javax.xml.namespace.QName,java.lang.String> getProperties()

      Get correlation set properties with their values as a Map.
      Returns:
        Map with the property qualified name as key and value as Map value.

    - #### getProcess

          ProcessDAO getProcess()

      Returns:
        the process this correlation is related to, gives a chance of optimization to the underlying impl

    - #### getInstance

          ProcessInstanceDAO getInstance()

      Returns:
        the instance this correlation is related to, gives a chance of optimization to the underlying impl